# getSlotLeader

Returns the slot that has reached the given or default commitment level.

This method will use `30` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string.&#x20;
      * The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
      * `confirmed` string.
        * The node will query the most recent block that has been voted on by the supermajority of the cluster.
      * `processed` string.
        * The node will query its most recent block. Note that the block may not be complete.
  * `minContextSlot` integer. The minimum slot at which the request can be evaluated.

## Returns

`result` The current slot leader as base-58 encoded string.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": "EfPYQ4BUMiKa6736qqrtnCBGkUSRDGSr1WvtyUgWHuyp",
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getSlotLeader"}'
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://mainnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getSlotLeader"}'
```

{% endtab %}
{% endtabs %}
